import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.object.to-string.js";
import "core-js/modules/es.object.get-own-property-descriptor.js";
import "core-js/modules/web.dom-collections.for-each.js";
import "core-js/modules/es.object.get-own-property-descriptors.js";
import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _newArrowCheck from "@babel/runtime/helpers/newArrowCheck";

var _this = this;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/**
 * File: /src/components/Button/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 17-06-2022 07:34:18
 * Author: Clay Risser
 * -----
 * Last Modified: 03-07-2022 10:23:16
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import { Pressable as DPressable } from "@dripsy/core";
import { useAutoContrast, BackgroundColorProvider } from "@risserlabs/auto-contrast";
import Text from "../Text";

var _Button = function Button(props) {
  _newArrowCheck(this, _this);

  var sx = useAutoContrast(props, _objectSpread(_objectSpread({}, _Button.defaultSx), {}, {
    display: props.hidden ? "none" : "inline-block"
  }, props.sx));
  var children = typeof props.children === "string" ? /*#__PURE__*/React.createElement(Text, {
    autoContrast: props.autoContrast
  }, props.children) : props.children;
  return /*#__PURE__*/React.createElement(DPressable, _extends({}, props, {
    sx: sx
  }), /*#__PURE__*/React.createElement(BackgroundColorProvider, {
    sx: sx
  }, children));
}.bind(this);

_Button.defaultProps = {};
_Button.defaultSx = {
  alignSelf: "flex-start",
  appearance: "none",
  bg: "primary",
  border: 0,
  borderRadius: 4,
  color: "white",
  fontSize: "inherit",
  lineHeight: "inherit",
  px: 3,
  py: 2,
  textAlign: "center",
  textDecoration: "none",
  userSelect: "none"
};
export default _Button;
//# sourceMappingURL=index.js.map